E-MailRelay

Classes | Public Member Functions | List of all members
GPop::Server Class Reference

A POP server class. More...

`#include <gpopserver.h>`

Inheritance diagram for GPop::Server:

## Classes
struct | Config
| A structure containing GPop::Server configuration parameters. More...

## Public Member Functions
| Server (GNet::ExceptionSink, Store &store, const GAuth::SaslServerSecrets &, const Config &)
| Constructor. The 'secrets' reference is kept. More...
| ~Server () override
| Destructor. More...
void | report () const
| Generates helpful diagnostics after construction. More...
| Server (const Server &)=delete
| Server (Server &&)=delete
void | operator= (const Server &)=delete
void | operator= (Server &&)=delete
Public Member Functions inherited from GNet::MultiServer
| MultiServer (ExceptionSink listener_exception_sink, const G::StringArray &addresses, unsigned int port, const std::string &server_type, ServerPeerConfig server_peer_config, ServerConfig server_config)
| Constructor. More...
| ~MultiServer () override
| Destructor. More...
bool | hasPeers () const
| Returns true if peers() is not empty. More...
std::vector< std::weak_ptr< ServerPeer > > | peers ()
| Returns the list of ServerPeer-derived objects. More...
std::unique_ptr< ServerPeer > | doNewPeer (ExceptionSinkUnbound, const ServerPeerInfo &, const ServerInfo &)
| Pseudo-private method used by the pimple class. More...
| MultiServer (const MultiServer &)=delete
| MultiServer (MultiServer &&)=delete
void | operator= (const MultiServer &)=delete
void | operator= (MultiServer &&)=delete

## Additional Inherited Members
Public Types inherited from GNet::MultiServer
using | AddressList = std::vector< Address >
Static Public Member Functions inherited from GNet::MultiServer
static bool | canBind (const AddressList &listening_address_list, bool do_throw)
| Checks that all the specified addresses can be bound. More...
Protected Member Functions inherited from GNet::MultiServer
virtual std::unique_ptr< ServerPeer > | newPeer (ExceptionSinkUnbound, ServerPeerInfo, ServerInfo)=0
| A factory method which new()s a ServerPeer-derived object. More...
void | serverCleanup ()
| Should be called from all derived classes' destructors so that peer objects can use their Server objects safely during their own destruction. More...
void | serverReport () const
| Writes to the system log a summary of the underlying server objects and their addresses. More...

## Detailed Description

A POP server class.

Definition at line 84 of file gpopserver.h.

## Constructor & Destructor Documentation

## ◆ Server()

GPop::Server::Server | ( | GNet::ExceptionSink | es,
|  | Store & | store,
|  | const GAuth::SaslServerSecrets & | secrets,
|  | const Config & | config
| ) |  |

Constructor. The 'secrets' reference is kept.

Definition at line 86 of file gpopserver.cpp.

## ◆ ~Server()

GPop::Server::~Server | ( |  | ) |
| override

Destructor.

Definition at line 94 of file gpopserver.cpp.

## Member Function Documentation

## ◆ report()

void GPop::Server::report | ( |  | ) | const

Generates helpful diagnostics after construction.

Definition at line 99 of file gpopserver.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gpop/gpopserver.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gpop/gpopserver.cpp